Subject: Libtool’s ltmain.sh still contains a /gnu/store shebang

From: [email-masked] (Ludovic Courtès)
Date: Fri, 21 Apr 2017 16:30:43 +0200

Hi,

Commit 98341757c8c45fca8d2b53f9972f5c6a32cf2c95, which was meant to fix
this bug¹, actually failed to do so:

--8<---------------cut here---------------start------------->8---
$ head -1 $(./pre-inst-env guix build libtool)/share/libtool/build-aux/ltmain.sh
#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.4.12/bin/sh
$ git describe
v0.12.0-3136-g7312c62d3
--8<---------------cut here---------------end--------------->8---

I think the problem is that we’re patching ltmain.in when we should
really be patching the final file, after the ‘patch-shebangs’ phase.

Ludo’.

¹ <http://bugs.gnu.org/25304>